export default {
  bizCode: "tanentinfo",
  name: "用户信息维护",
  list: [
    { title: '账号', key: 'userName', sortable: true, insearch: true},//slot--自定义列   insearch--是否快速查询
    { title: '昵称', key: 'nickName', sortable: true, insearch: true },
    { title: '是否启用', key: 'isEnabled', sortable: false, insearch: false,slot:'isEnabled' },
    // { title: '邮件', key: 'mail', editable: true, insearch: true },
    { title: '创建时间', key: 'created_at' ,slot:'created_at' },
    {
      title: '操作',
      key: 'handle',
      button: [//这个数组中内容，需要按照权限字符串，在服务端构造
      ]
    }
  ],
  "form": {
    name: "xxx",
    main: [
        {
          "title":"关键信息",
           ctls:[
             {"type":"switch","label":"是否启用","prop":"isEnabled","opentext":"是","closetext":"否","trurcolor":"","falsecolor":"","placeHolder":"","style":""},
             { "type": "input", "label": "帐户", "prop": "userName", "placeHolder": "请输入帐户名", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
           ]
        },
      {
        "title": "基本信息",
        "key": "baseinfo",
        ctls: [
        
          { "type": "input", "label": "昵称", "prop": "nickName", "placeHolder": "请输入昵称", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
          { "type": "input", "label": "邮件", "prop": "mail", "placeHolder": "请输入邮件", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
          {"type":"model-select","refModel":"auth.role","isMulti":true,"label":"角色","prop":"roles","labelField":"name","valueField":"id","style":""},
          { "type": "upload", "label": "头像", "prop": "headUrl", "placeHolder": "请上传头像", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
        ]
      }
    ],
    lists: null
  },
  "search": {
    name: "search",
    main: [
      {
        "title": "基本信息",
        "key": "baseinfo",
        ctls: [
          { "type": "input", "label": "昵称", "prop": "nickName", "placeHolder": "昵称", "style": "", rules: [] },
          { "type": "input", "label": "邮件", "prop": "mail", "placeHolder": "邮件", "style": "", rules: [] },
      
          //  {"type":"select","refModel":"auth.role","isMulti":true,"label":"角色","prop":"roles","labelField":"name","valueField":"id","style":""},
        ]
      }
    ]

  },
  "auths": {
    "add": [
      { "icon": "ios-add-circle-outline", "title": "新增", "type": "text", "key": "create", "isOnGrid": true },
      { "icon": "ios-square-outline", "title": "保存", "type": "text", "key": "save", "isOnForm": true },
      { "icon": "ios-cloud-download-outline", "title": "下载", "type": "text", "key": "export", "isOnGrid": true },
    ],
    "edit": [
      { "icon": "ios-create-outline", "title": "禁用", "type": "text", "key": "allowornot", "isInRow": true }
    ],
    "delete": [
      // { "icon": "ios-trash-outline", "title": "删除", "type": "text", "key": "deletes", "isOnGrid": true },
      // { "icon": "ios-trash-outline", "title": "删除", "type": "text", "key": "delete", "isInRow": true },
    ],
    "common": [
      { "icon": "ios-undo-outline", "title": "取消", "type": "text", "key": "cancel", "isOnForm": true },
      { "icon": "ios-undo-outline", "title": "取消", "type": "text", "key": "cancel-search", "isInSearch": true },
      { "icon": "ios-search-outline", "title": "搜索", "type": "text", "key": "start-search", "isInSearch": true },
      { "icon": "ios-search-outline", "title": "高级", "type": "text", "key": "adv-search", "isOnGrid": true },
    ],
  }
}
